//********************************************************************
//  CountryInfo.java       Author: Lewis/Loftus
//
//  Represents a country's demographic information.
//********************************************************************

import java.io.Serializable;

public class CountryInfo implements Serializable
{
   private String name, abbreviation, capitol;
   private long area, population;

   //-----------------------------------------------------------------
   //  Sets up this object by storing the specified information.
   //-----------------------------------------------------------------
   public CountryInfo (String cName, String cAbbreviation,
                       String cCapitol, long cArea, long cPopulation)
   {
      name = cName;
      abbreviation = cAbbreviation;
      capitol = cCapitol;
      area = cArea;  // measured in square kilometers
      population = cPopulation;
   }

   //-----------------------------------------------------------------
   //  Returns the information in this object as a string.
   //-----------------------------------------------------------------
   public String toString()
   {
      String result = "Name: " + name + "\n";
      result += "Abbreviation: " + abbreviation + "\n";
      result += "Capitol: " + capitol + "\n";
      result += "Area: " + area + " square kilometers\n";
      result += "Population: " + population + "\n";
      result += "^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^";

      return result;
   }
}
